$header-height: 88px;
$header-height-mobile: 48px;

.tgpoint {}

.tgpoint--container {
  display: flex;

  flex-direction: row-reverse;
  padding: 0;
  margin: 0;
  height: 100vh;
}

.tgpoint--main {
  width: 100%;
}

.tgpoint--logo {
  display: flex;

  justify-content: center;
  align-items: center;
  height: $header-height;
}

.tgpoint-navigation {
  width: 286px;
  background-color: #464a55;
}

.tgpoint--main-head {
  background-color: #cbcfd8;
  height: $header-height-mobile;
}

.tgpoint--main-content {
  position: relative;
  overflow-y: auto;
  overflow-x: hidden;
  height: calc(100vh - #{$header-height});
  background-image: linear-gradient(-135deg, #E6E9ED 0%, #F5F7FA 100%);

  &.not-authorized {}
  &.not-authorized .not-restricted {
    position: relative;
    z-index: 5000;
  }

  /** --- USED FOR MAKE BACKGROUND FADE ON CONTENT --- **/
  &.fade-content:after {
    content: '';
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background: rgba(255, 255, 255, 0.80);
    z-index: 200;
  }
}

.side-bar { width: 100%; }

.tgpoint-content-body {
  display: flex;
  flex-direction: column;
  padding: 16px 24px 0 24px;

  .tgpoint-breadcrumb {
    display: flex;

    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    padding: 0 0 10px 0;

    .breadcrumb-text {
      .welcome {
        font-family: $Rubik-Font;
        font-weight: 400;
        font-size: 12px;
        color: rgba(67,74,84,0.80);
        line-height: 17px;
      }
      .dashboard-name {
        font-family: $Rubik-Font;
        font-weight: 500;
        font-size: 12px;
        color: #434A54;
        line-height: 17px;
      }
    }
    .breadcrumb-actions {}
  }

  /** ------ ACTIONS BAR ------ **/
  .actions {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    margin: 10px 0 10px 0;
    height: 56px;
    width: 100%;
    background: rgba(204,209,217,0.12);
    border-radius: 4px;

    .action-item {
      background: rgba(204,209,217,0.48);
      box-shadow: 0 2px 4px 0 rgba(0,0,0,0.12);
      border-radius: 4px;

      .mdl-selectfield {
        width: auto;
        .mdl-textfield__input { border: none; }
        .mdl-textfield { padding: 0; }
      }
    }
  }
}

.error-container {
  display: flex;
  flex-direction: column;
  .error-item {
    font-family: $Rubik-Font;
    font-weight: 500;
    font-size: 12px;
    color: rgba(233, 87, 63, 1);
    line-height: 17px;
  }
}

@media all and (max-width: 864px) {
  .tgpoint--main-content {
    height: calc(100vh - #{$header-height-mobile});
    &.not-authorized {
      margin: 80px 24px 60px 24px;
    }
  }

  .tgpoint-navigation {
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    margin-top: $header-height-mobile;

    .tgpoint--logo {
      display: none;
    }
  }

  .tgpoint-navigation.mobile-opened {
    display: flex;
    height: calc(100% - #{$header-height-mobile});
    position: absolute;
    z-index: 99999;
  }

  .tgpoint-content-body .tgpoint-breadcrumb .breadcrumb-text {
    .welcome {
      width: 85px;
      white-space: nowrap;
      overflow: hidden;
    }
  }
}

@media all and (max-width: 480px) {
  .top-navbar-logo-image {
    display: none !important;
  }
}

@media all and (min-width: 865px) {
  .tgpoint--main-head {
    height: $header-height;
  }
  .tgpoint--main {
    width: calc(100% - 286px);
  }

  .tgpoint-content-body {
    padding: 20px 32px 0 32px;
  }
  .tgpoint-content-body .tgpoint-breadcrumb .breadcrumb-text {
    .welcome {
      font-family: $Rubik-Font;
      font-weight: 400;
      font-size: 14px;
      color: rgba(67,74,84,0.80);
      line-height: 17px;
    }
    .dashboard-name {
      font-family: $Rubik-Font;
      font-weight: 500;
      font-size: 16px;
      color: #434A54;
      line-height: 17px;
    }
  }
}
